<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Managing Hosts">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Adding, Editing, and Deleting Credentials</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#21-host-management/adding-editing-deleting-credentials.html">Open topic with navigation</a>
        </p>
        <h1>Adding, Editing, and Deleting Credentials</h1>
        <p>In <span class="VariablesProductName">Metasploit Pro</span>, a credential pair refers to user name and password combination that can be used to authenticate to systems, accounts, and services. The user name is the login name that identifies a user, and the password can be a plain text password, hash, or SSH key. Generally, credentials can be  bruteforced, looted from exploited systems, or collected using social engineering technique. If you have a passwords list, user names list, username/password list, PWDump, or SSH key, you can import them into a project. </p>
        <p>Credentials can be managed on a project-level or at the host level. </p>
        <h2>Viewing Credentials for a Project</h2>
        <p class="leadin">To view the credentials for a project:</p>
        <ol>
            <li value="1">From within a project, click on the <b class="UISelection">Overview</b> tab from the Project Tab bar. The Dashboard appears.</li>
            <li value="2">Click the <b class="UISelection">Bruteforce</b> button located in the Quick Tasks bar. The Bruteforce configuration page appears. </li>
            <li value="3">Scroll down to the bottom of the Bruteforce configuration page and locate the Authentication Token&#160;Details list. All credentials that are stored in the project will be listed here. <br /><br /><img src="../Resources/Images/host-management/hm-creds-list-bruteforce_538x104.png" style="width: 538;height: 104;" /></li>
        </ol>
        <h2>Viewing Credentials for a Host</h2>
        <p class="leadin">To view the credentials for a host: </p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host whose credentials you want to view. The single host page appears.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_528x256.png" style="width: 528;height: 256;" /></li>
            <li value="3">Click the <b class="UISelection">Credentials</b> tab. The Credentials list appears.<br /><br /><br /><img src="../Resources/Images/host-management/hm-creds-tab_537x181.png" style="width: 537;height: 181;" /></li>
        </ol>
        <h4>What information does the Credentials list show?</h4>
        <p>The Credentials tab shows the following information:</p>
        <ul>
            <li value="1"><b>Timestamp</b> - Time the credential was added to the project.</li>
            <li value="2"><b>Service</b> - The service that was authenticated with the credentials.</li>
            <li value="3"><b> Type</b> - The type of loot collected, such as read/write password, read-only password, SMB&#160;hash, SSH public key, or SSH&#160;private key.</li>
            <li value="4"> <![CDATA[ ]]><b>User</b> - The user name that can be used to authenticate a service. </li>
            <li value="5"><b>Password, Hash, or SSH Key Fingerprint</b> - The plaintext password or raw data for an SMB&#160;hash or SSH key that can be used to authenticate a service.</li>
            <li value="6"><b>Source Credential or Session</b> - Indicates how the loot was obtained. Sources can be one of the following:</li>
            <li class="indentedList" value="7">Guessed - The source type indicates that the credentials were obtained from a bruteforce attack. </li>
            <li class="indentedList" value="8">Imported - The source type indicates that the credentials were obtained from a credentials list import.</li>
            <li class="indentedList" value="9">Unverified - The source type indicates an inactive credential. </li>
            <li class="indentedList" value="10"> Unknown - The source type indicates that <span class="VariablesProductName">Metasploit Pro</span> was unable to find a source match.</li>
            <li class="indentedList" value="11"> &lt;User:pass&gt; - The source type indicates that the credential pair was created by from another credential pair.</li>
            <li class="indentedList" value="12"> Link to a session - The source type indicates that the credentials were obtained from collecting evidenced from an active session. </li>
        </ul>
        <h2>Adding a Known Credential Pair</h2>
        <p class="leadin">To add a known credential pair to a host:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host that you want to add a credential to. The single host page appears.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_526x255.png" style="width: 526;height: 255;" /></li>
            <li value="3">Click the <b class="UISelection">Credentials</b> tab. The Credentials list appears.<br /><br /><img src="../Resources/Images/host-management/hm-creds-tab_530x178.png" style="width: 530;height: 178;" /></li>
            <li value="4">Click the <b class="UISelection">New Cred</b> button. The New Credentials modal window appears.<br /><br /><img src="../Resources/Images/host-management/hm-new-cred-button_520x174.png" style="width: 520;height: 174;" /></li>
            <li value="5">Specify the following information for the service:<br /></li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b>Service</b> - The service that can be authenticated with the credentials. The most common ports and services are listed for you to choose from.</li>
            <li class="indentedList" value="2"><b>Type</b> - The type of credentials that you are adding. Choose between the following credential types: read/write, read-only, SMB hash, SSH private key, and SSH public key.</li>
            <li class="indentedList" value="3"><b>User</b> - The user name for the credential pair.</li>
            <li class="indentedList" value="4"><b> Password</b> - The password, hash, or key for the credential pair.</li>
        </ul>
        <p class="NoteList2" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>You can leave the user name and passwords fields empty for blank credentials. If you are adding an SSH key, you will need to copy and paste the contents of the key into the Password field.<br /><br /><img src="../Resources/Images/host-management/hm-new-cred-window_232x125.png" style="width: 232;height: 125;" /></p>
        <ol start="6">
            <li value="6">Click the <b class="UISelection">Submit</b> button when you are done. The credential pair is added to the Credentials list.</li>
        </ol>
        <h2>Editing a Credential Pair</h2>
        <p class="leadin">To edit a credential pair:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host whose credentials you want to edit. The single host page appears.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_529x256.png" style="width: 529;height: 256;" /></li>
            <li value="3">Click the <b class="UISelection">Credentials</b> tab. The Credentials list appears.<br /><br /><img src="../Resources/Images/host-management/hm-creds-tab_531x179.png" style="width: 531;height: 179;" /></li>
            <li value="4">Click the <b class="UISelection">Edit</b> icon that is located in the same row as the credential pair you want to modify. The Service, Type, User, and Password fields become editable.<br /><br /><img src="../Resources/Images/host-management/hm-edit-cred-icon_531x178.png" style="width: 531;height: 178;" /></li>
            <li value="5">Make your changes to any of the editable fields.<br /><br /><img src="../Resources/Images/host-management/hm-creds-editable-fields_534x110.png" style="width: 534;height: 110;" /></li>
            <li value="6">Click the <b class="UISelection">Save</b> link when you are done.</li>
        </ol>
        <h2>Deleting a Credential Pair from a Host</h2>
        <p class="leadin">To delete a credential pair from a host:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host whose credentials you want to delete. The single host page appears.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_507x246.png" style="width: 507;height: 246;" /></li>
            <li value="3">Click the <b class="UISelection">Credentials</b> tab. The Credentials list appears.<br /><br /><img src="../Resources/Images/host-management/hm-creds-tab_509x171.png" style="width: 509;height: 171;" /></li>
            <li value="4">Find the credential pair that you want to delete.</li>
            <li value="5">Click the <b class="UISelection">Delete</b> button that is located in the same row as the credential pair. A confirmation window appears.<br /><br /><img src="../Resources/Images/host-management/hm-delete-cred-icon_508x167.png" style="width: 508;height: 167;" /></li>
            <li value="6">Click <b class="UISelection">OK</b> to delete the service.</li>
        </ol>
    </body>
</html>